using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace IRaCIS.Core.Infra.EFCore.Migrations
{
    /// <inheritdoc />
    public partial class OptionTypeEnum : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.AddColumn<int>(
                name: "OptionTypeEnum",
                table: "ReadingTableQuestionTrial",
                type: "int",
                nullable: false,
                defaultValue: 0);

            migrationBuilder.AddColumn<int>(
                name: "OptionTypeEnum",
                table: "ReadingTableQuestionSystem",
                type: "int",
                nullable: false,
                defaultValue: 0);

            migrationBuilder.AddColumn<int>(
                name: "OptionTypeEnum",
                table: "ReadingQuestionTrial",
                type: "int",
                nullable: false,
                defaultValue: 0);

            migrationBuilder.AddColumn<int>(
                name: "OptionTypeEnum",
                table: "ReadingQuestionSystem",
                type: "int",
                nullable: false,
                defaultValue: 0);
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropColumn(
                name: "OptionTypeEnum",
                table: "ReadingTableQuestionTrial");

            migrationBuilder.DropColumn(
                name: "OptionTypeEnum",
                table: "ReadingTableQuestionSystem");

            migrationBuilder.DropColumn(
                name: "OptionTypeEnum",
                table: "ReadingQuestionTrial");

            migrationBuilder.DropColumn(
                name: "OptionTypeEnum",
                table: "ReadingQuestionSystem");
        }
    }
}
